Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.timestamping.protocol.v2
Class TimeStampBagType

    java.lang.Object
      be.fgov.ehealth.timestamping.protocol.v2.TimeStampBagType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2023-04-04T03:42:46+02:00",
               comments="JAXB RI v2.3.6")
    public class TimeStampBagType

extends Object
implements Serializable

the time stamp bag that is send to behealth

Java class for TimeStampBagType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TimeStampBagType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="JournalEntry" type="{urn:be:fgov:ehealth:timestamping:protocol:v2}JournalEntryType" maxOccurs="unbounded"/>
           </sequence>
           <attribute name="Hash" use="required" type="{urn:be:fgov:ehealth:timestamping:protocol:v2}HashType" />
           <attribute name="SequenceNumber" use="required" type="{http://www.w3.org/2001/XMLSchema}long" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`TimeStampBagType()`

Method Summary
`HashType` | `getHash()` Gets the value of the hash property.
`List<JournalEntryType>` | `getJournalEntries()` Gets the value of the journalEntries property.
`long` | `getSequenceNumber()` Gets the value of the sequenceNumber property.
`void` | `setHash(HashType value)` Sets the value of the hash property.
`void` | `setSequenceNumber(long value)` Sets the value of the sequenceNumber property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeStampBagType

    public TimeStampBagType()

Method Detail

### getJournalEntries

    public List<JournalEntryType> getJournalEntries()

  Gets the value of the journalEntries property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the journalEntries property.

  For example, to add a new item, do as follows:

          getJournalEntries().add(newItem);

  Objects of the following type(s) are allowed in the list `JournalEntryType`

### getHash

    public HashType getHash()

  Gets the value of the hash property.

  Returns:
    possible object is `HashType`

### setHash

    public void setHash(HashType value)

  Sets the value of the hash property.

  Parameters:
    `value` - allowed object is `HashType`

### getSequenceNumber

    public long getSequenceNumber()

  Gets the value of the sequenceNumber property.

### setSequenceNumber

    public void setSequenceNumber(long value)

  Sets the value of the sequenceNumber property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.